using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.BusinessLogicsContracts
{
	public interface ICustomerLogic
	{
		List<CustumerViewModel>? ReadList(CustumerSearchModel? model);
		CustumerViewModel? ReadElement(CustumerSearchModel model);
		bool Create(CustomerBindingModel model);
		bool Update(CustomerBindingModel model);
		bool Delete(CustomerBindingModel model);
	}
}
